# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'kitchen/microwave/version'

Gem::Specification.new do |spec|
  spec.name = 'kitchen-microwave'
  spec.version = Kitchen::Microwave::VERSION
  spec.authors = ['Jonathan Hartman']
  spec.email = %w[jonathan.hartman@socrata.com]

  spec.summary = 'An automatic config generator for Test Kitchen+Dokken+Inspec'
  spec.description = 'An automatic config generator for ' \
                     'Test Kitchen+Dokken+Inspec'
  spec.homepage = 'https://github.com/socrata-platform/kitchen-microwave'
  spec.license = 'Apache-2.0'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = %w[lib]
  spec.required_ruby_version = '>= 2.4'

  spec.add_dependency 'chef', '>= 12.1'
  spec.add_dependency 'kitchen-dokken', '~> 2.6'
  spec.add_dependency 'kitchen-inspec', '< 2.0'
  spec.add_dependency 'test-kitchen', '< 3.0'

  spec.add_development_dependency 'berkshelf', '~> 7.0'
  spec.add_development_dependency 'bundler', '~> 2.0'
  spec.add_development_dependency 'fakefs', '~> 0.13'
  spec.add_development_dependency 'rake', '~> 12.3'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop', '~> 0.63'
  spec.add_development_dependency 'simplecov', '~> 0.16'
  spec.add_development_dependency 'simplecov-console', '~> 0.4'
end
